Bug 254124 - www/trafficserver: Fails to build: fatal error: 'sys/epoll.h' file not found
Summary: www/trafficserver: Fails to build: fatal error: 'sys/epoll.h' file not found
Status: Open
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Li-Wen Hsu
URL:
Keywords: needs-patch, needs-qa
Depends on: 255298
Blocks:
  Show dependency treegraph
 
Reported: 2021-03-08 07:30 UTC by Kamigishi Rei
Modified: 2021-04-22 01:53 UTC (History)
2 users (show)

See Also:
koobs: maintainer-feedback? (gaod)
koobs: merge-quarterly?


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Kamigishi Rei 2021-03-08 07:30:10 UTC
=>> Building www/trafficserver
build started at Mon Mar  8 10:17:42 MSK 2021
port directory: /usr/ports/www/trafficserver
package name: trafficserver-8.1.1
building for: FreeBSD 13amd64-lincle-default-job-01 13.0-RC1 FreeBSD 13.0-RC1 amd64
maintained by: gaod@hychen.org
Makefile ident:      $FreeBSD: head/www/trafficserver/Makefile 563519 2021-01-31 19:23:07Z yuri $
Poudriere version: 3.3.6
Host OSVERSION: 1300139
Jail OSVERSION: 1300139
Job Id: 01

---Begin Environment---
SHELL=/bin/csh
OSVERSION=1300139
UNAME_v=FreeBSD 13.0-RC1
UNAME_r=13.0-RC1
BLOCKSIZE=K
MAIL=/var/mail/root
MM_CHARSET=UTF-8
LANG=C.UTF-8
STATUS=1
HOME=/root
PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin:/root/bin
LOCALBASE=/usr/local
USER=root
LIBEXECPREFIX=/usr/local/libexec/poudriere
POUDRIERE_VERSION=3.3.6
MASTERMNT=/usr/local/poudriere/data/.m/13amd64-lincle-default/ref
POUDRIERE_BUILD_TYPE=bulk
PACKAGE_BUILDING=yes
SAVED_TERM=screen-256color
GID=0
UID=0
PWD=/usr/local/poudriere/data/.m/13amd64-lincle-default/ref/.p/pool
P_PORTS_FEATURES=FLAVORS SELECTED_OPTIONS
MASTERNAME=13amd64-lincle-default
SCRIPTPREFIX=/usr/local/share/poudriere
OLDPWD=/usr/local/poudriere/data/.m/13amd64-lincle-default/ref/.p
SCRIPTPATH=/usr/local/share/poudriere/bulk.sh
POUDRIEREPATH=/usr/local/bin/poudriere
---End Environment---

---Begin Poudriere Port Flags/Env---
PORT_FLAGS=
PKGENV=
FLAVOR=
DEPENDS_ARGS=
MAKE_ARGS=
---End Poudriere Port Flags/Env---

---Begin OPTIONS List---
===> The following configuration options are available for trafficserver-8.1.1:
     DOCS=off: Build and/or install documentation
     IMAGEMAGICK=off: Enable ats-magick & webp convert plugin
     MEMCACHED=off: Enable memcache & memcached_remap plugin
     WCCP=off: Enable WCCPv2 protocol
     X11=off: X11 (graphics) support
===> Use 'make config' to modify these settings
---End OPTIONS List---

---Begin make.conf---
USE_PACKAGE_DEPENDS=yes
BATCH=yes
WRKDIRPREFIX=/wrkdirs
PORTSDIR=/usr/ports
PACKAGES=/packages
DISTDIR=/distfiles
FORCE_PACKAGE=yes
PACKAGE_BUILDING=yes
PACKAGE_BUILDING_FLAVORS=yes
#### /usr/local/etc/poudriere.d/13amd64-lincle-make.conf ####
DEFAULT_VERSIONS+=php=7.4
#DEFAULT_VERSIONS+=php=8.0
DEFAULT_VERSIONS+=ruby=2.5
DEFAULT_VERSIONS+=python=3.8
DEFAULT_VERSIONS+=python2=2.7
DEFAULT_VERSIONS+=python3=3.8
DEFAULT_VERSIONS+=perl5=5.32
DEFAULT_VERSIONS+=lua=5.2
DEFAULT_VERSIONS+=mysql=10.5m
DEFAULT_VERSIONS+=pgsql=13
UNSET=X11

EventNotify.cc:37:10: fatal error: 'sys/epoll.h' file not found
#include <sys/epoll.h>
         ^~~~~~~~~~~~~
1 error generated.
gmake[2]: *** [Makefile:1481: EventNotify.lo] Error 1
gmake[2]: Leaving directory '/wrkdirs/usr/ports/www/trafficserver/work/trafficserver-8.1.1/src/tscore'
gmake[1]: *** [Makefile:862: all-recursive] Error 1
gmake[1]: Leaving directory '/wrkdirs/usr/ports/www/trafficserver/work/trafficserver-8.1.1'
*** Error code 1
Comment 1 Hung-Yi Chen 2021-03-08 09:51:30 UTC
I'll take a look.
Comment 2 Kamigishi Rei 2021-03-09 12:50:47 UTC
Note that it seems to build fine on 12.2 with the same options (could be because of ccache but I really doubt it):

=>> Building www/trafficserver
build started at Tue Mar  9 12:22:44 UTC 2021
port directory: /usr/ports/www/trafficserver
package name: trafficserver-8.1.1
building for: FreeBSD 12amd64-default-job-01 12.2-RELEASE-p4 FreeBSD 12.2-RELEASE-p4 amd64
maintained by: gaod@hychen.org
Makefile ident:      $FreeBSD: head/www/trafficserver/Makefile 563519 2021-01-31 19:23:07Z yuri $
Poudriere version: 3.3.6
Host OSVERSION: 1202000
Jail OSVERSION: 1202000
Job Id: 01

---Begin Environment---
SHELL=/bin/csh
OSVERSION=1202000
UNAME_v=FreeBSD 12.2-RELEASE-p4
UNAME_r=12.2-RELEASE-p4
BLOCKSIZE=K
MAIL=/var/mail/root
STATUS=1
HOME=/root
PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin:/root/bin
LOCALBASE=/usr/local
USER=root
LIBEXECPREFIX=/usr/local/libexec/poudriere
POUDRIERE_VERSION=3.3.6
MASTERMNT=/usr/local/poudriere/data/.m/12amd64-default/ref
POUDRIERE_BUILD_TYPE=bulk
PACKAGE_BUILDING=yes
SAVED_TERM=screen-256color-s
PWD=/usr/local/poudriere/data/.m/12amd64-default/ref/.p/pool
P_PORTS_FEATURES=FLAVORS SELECTED_OPTIONS
MASTERNAME=12amd64-default
SCRIPTPREFIX=/usr/local/share/poudriere
OLDPWD=/usr/local/poudriere/data/.m/12amd64-default/ref/.p
SCRIPTPATH=/usr/local/share/poudriere/bulk.sh
POUDRIEREPATH=/usr/local/bin/poudriere
---End Environment---

---Begin Poudriere Port Flags/Env---
PORT_FLAGS=
PKGENV=
FLAVOR=
DEPENDS_ARGS=
MAKE_ARGS=
---End Poudriere Port Flags/Env---

---Begin OPTIONS List---
===> The following configuration options are available for trafficserver-8.1.1:
     DOCS=off: Build and/or install documentation
     IMAGEMAGICK=off: Enable ats-magick & webp convert plugin
     MEMCACHED=off: Enable memcache & memcached_remap plugin
     WCCP=off: Enable WCCPv2 protocol
     X11=off: X11 (graphics) support
===> Use 'make config' to modify these settings
---End OPTIONS List---

---Begin make.conf---
USE_PACKAGE_DEPENDS=yes
BATCH=yes
WRKDIRPREFIX=/wrkdirs
PORTSDIR=/usr/ports
PACKAGES=/packages
DISTDIR=/distfiles
FORCE_PACKAGE=yes
PACKAGE_BUILDING=yes
PACKAGE_BUILDING_FLAVORS=yes
#### /usr/local/etc/poudriere.d/12amd64-make.conf ####
DEFAULT_VERSIONS+=php=7.4
#DEFAULT_VERSIONS+=php=8.0
DEFAULT_VERSIONS+=ruby=2.5
DEFAULT_VERSIONS+=python=3.8
DEFAULT_VERSIONS+=python2=2.7
DEFAULT_VERSIONS+=python3=3.8
DEFAULT_VERSIONS+=perl5=5.32
DEFAULT_VERSIONS+=lua=5.2
DEFAULT_VERSIONS+=mysql=10.4m
DEFAULT_VERSIONS+=pgsql=13

UNSET=X11
Comment 3 Hung-Yi Chen 2021-04-21 08:41:51 UTC
Just send a PR #255298 for updating to 9.0.1 and make it compilable on FreeBSD 13.
Comment 4 Kubilay Kocak freebsd_committer freebsd_triage 2021-04-22 01:53:00 UTC
@Maintainer Are you able to provide a patch resolving only this issue? It's preferred that bug fixes are resolved separately from version updates unless absolutely necessary, so that fixes can be merged to the quarterly branch